complexType "TradeChangeAdviceRetracted"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, tradeIdentifier+, change?, paymentDetails*, party+, account*
</...>

Content Model Elements (11):

  account, change (in tradeChangeAdviceRetracted), correlationId, header (defined in RequestMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), paymentDetails (in tradeChangeAdviceRetracted), sequenceNumber (defined in Sequence.model group), tradeIdentifier (in tradeChangeAdviceRetracted), validation

All Direct / Indirect Based Elements (1):

  tradeChangeAdviceRetracted

Known Usage Locations

- As direct type of elements (1):
  tradeChangeAdviceRetracted

Annotation
Defines the structure for a message retracting a prior change advice.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) TradeChangeAdviceRetracted

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="TradeChangeAdviceRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="change" type="TradeChangeContent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetails" type="PaymentDetails"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
change

  Type: | TradeChangeContent, complex content

  Describes the details of the change being retracted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="change" type="TradeChangeContent"/>

paymentDetails

  Type: | PaymentDetails, complex content

  Details of the payments, like amount breakdowns, settlement information.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetails" type="PaymentDetails"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  The qualified identifiers of the subject trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.